<div class="d-flex align-items-center font-regu-14 color-grey33" [ngClass]="selected ? 'parameter selected' : 'parameter'">
    <ng-content></ng-content>
    <div *ngIf="parameter.heading else title" class="heading">{{ parameter.heading }}</div>
    <ng-template #title>
        <div *ngIf="parameter.title else key" class="title">{{ parameter.title }}</div>
    </ng-template>
    <ng-template #key>
        <div class="key">{{ parameter.key }}</div>
    </ng-template>
    <div class="ml-auto d-flex">
        <i class="d-flex icon-data-center" (click)="handleEdit($event)"></i>
        <i class="d-flex icon-cloud-stroke" (click)="handleDelete($event)"></i>
    </div>
</div>
